Index: TXM/trunk/bundles/org.txm.treetagger.core.linux/res/linux/FILES
===================================================================
--- TXM/trunk/bundles/org.txm.treetagger.core.linux/res/linux/FILES	(revision 3925)
+++ TXM/trunk/bundles/org.txm.treetagger.core.linux/res/linux/FILES	(revision 3926)
@@ -1,9 +1,9 @@
 
 This package contains the TreeTagger, a probabilistic part-of-speech
-tagger developed by Helmut Schmid. All rights are reserved by the
-Institute for Computational Linguistics at the University of
-Stuttgart. The programs have been statically compiled for x86 computers
-running Linux.
+tagger developed by Helmut Schmid. All rights are reserved by the 
+Institute for Computational Linguistics at the University of Stuttgart.
+The programs have been compiled for PCs with the Linux operating system.
+Many thanks to Arne Fitschen for doing this!
 
 Files contained in this package:
 
@@ -13,6 +13,7 @@
 - bin/train-tree-tagger training program
 - bin/tree-tagger       tagger programm
 - bin/separate-punctuation program for tokenization (used by the shell scripts)
+- cmd/lookup.perl       Perl script for pretagging
 - doc/nemlap94.ps       paper describing the TreeTagger
 - doc/sigdat95.ps       paper describing the TreeTagger
 
Index: TXM/trunk/bundles/org.txm.treetagger.core.linux/res/linux/README
===================================================================
--- TXM/trunk/bundles/org.txm.treetagger.core.linux/res/linux/README	(revision 3925)
+++ TXM/trunk/bundles/org.txm.treetagger.core.linux/res/linux/README	(revision 3926)
@@ -1,8 +1,7 @@
 
-/***************************************************************************/
-/* How to use the TreeTagger                                               */
-/* Author: Helmut Schmid, University of Stuttgart, Germany                 */
-/***************************************************************************/
+/*****************************************************************************/
+/* How to use the TreeTagger                                                 */
+/*****************************************************************************/
 
 
 The TreeTagger consists of two programs: train-tree-tagger is used to 
@@ -24,62 +23,44 @@
 input will be read from stdin. If neither an input file nor an output file
 is specified, the tagger will print to stdout.
 
-tree-tagger {-options-} <parameter file> {<input file> {<output file>}}
+tree-tagger <parameter file> <input file> <output file> {-eps <epsilon>}
+       {-base} {-proto} {-sgml} {-token} {-lemma} {-beam <threshold>}
 
 Description of the command line arguments:
 
 * <parameter file>: Name of a parameter file which was created with the 
   train-tree-tagger program.
 * <input file>: Name of the file which is to be tagged. Each token in this 
-  file has to be on a separate line. Tokens may contain blanks. It is possible
+  file must be on a separate line. Tokens may contain blanks. It is possible
   to override the lexical information contained in the parameter file of the
   tagger by specifying a list of possible tags after a token. This list has
-  to be preceded by a tab character and the elements are separated by tab 
-  characters. This pretagging feature could be used e.g. to ensure that
+  to be preceded by a tab character. The tags are optionally followed by a
+  floating point value to specify the probability of the tag. Adding such
+  tag information in the tagger's input is sometimes useful to ensure that
   certain text-specific expressions are tagged properly.
   Punctuation marks must be on separate lines as well. Clitics (like "'s",
   "'re", and "'d" in English or "-la" and "-t-elle" in French) should be
   separated if they were separated in the training data. (The French and
-  English parameter files available by ftp expect separation of clitics).
+  English parameter files available by ftp, expect separation of clitics).
   Sample input file:
     He
     moved
     to
-    New York City	NP
+    New York City	NP 1.0
     .
 * <output file>: Name of the file to which the tagger should write its output.
 
 Further optional command line arguments:
 
-* -token: The words/tokens are printed in addition to the POS tags
-* -lemma: Lemmas are printed as well.
-* -sgml: This option instructs the tagger to ignore tokens which start
-  with '<' and end with '>' (SGML tags).
-* -lex <f>: The file <f> contains additional lexicon entries to be used
-  by the tagger. The file format is identical to the format of the lexicon
-  argument of the training program (see below).
-* -no-unknown: If an unknown word is encountered, emit the word form
-  as lemma. This was previously the default behaviour. Now, the default 
-  behaviour is to print "<unknown>" as lemma.
-* -threshold <p>: This option tells the tagger to print all tags of a
-  word with a probability higher than <p> times the largest probability.
-  (The tagger will use a different algorithm in this case and the set of
-  best tags might be different from the tags generated without this
-  option.)
-* -prob: Print tag probabilities (in combination with option -threshold)
-* -pt-with-prob: If this option is specified, then each pretagging tag
-  (see above) has to be followed by a whitespace and a tag probability 
-  value.
-* -pt-with-lemma: If this option is specified, then each pretagging tag
-  (see above) has to be followed by a whitespace and a lemma. Lemmas may 
-  contain blanks.
-  If both -pt-with-prob and -pt-with-lemma have been specified, then each
-  pretagging tag is followed by a probability and a lemma in that order.
-* -hyphen-heuristics: needed for chunking. See below for more information
-  about how to train a chunk parameter file with hyphen-heuristics.
+* -token: tells the tagger to print the words also.
+* -lemma: tells the tagger to print the lemmas of the words also.
+* -sgml: tells the tagger to ignore tokens starting with '<' and ending
+  with '>' (SGML tags).
+* -threshold p: tells the tagger to print all tags of a word with a probability higher than p times the largest tag probability. (The tagger will use the Forward-Backward algorithm instead of the Viterbi algorithm to annotate the data if this option is used.)
+* -lex file: tells the tagger to read additional lexicon entries form "file". The lexicon format is the same as that of the lexicon file used for training.
 
-The options below are for advanced users. Please, read the papers on the 
-TreeTagger to fully understand their meaning.
+The options below are for advanced users. Read the papers on the TreeTagger
+to fully understand their meaning.
 
 * -proto: If this option is specified, the tagger creates a file named
   "lexicon-protocol.txt", which contains information about the degree of
@@ -90,66 +71,54 @@
   hyphen has been found in the fullform lexicon.
 * -eps <epsilon>: Value which is used to replace zero lexical frequencies.
   This is the case if a word/tag pair is contained in the lexicon but not
-  in the training corpus. The choice of this parameter has only minor
-  influence on the tagging accuracy.
+  in the training corpus. The default is 0.1. The choice of this parameter
+  has some minor influence on tagging accuracy.
+* -beam <threshold>: If the tagger is slow, this option can be used to speed it up.
+  Good values for <threshold> are in the range 0.001-0.00001.
 * -base: If this option is specified, only lexical information is used
   for tagging but no contextual information about the preceding tags.
   This option is only useful in order to obtain a baseline result
   to which to compare the actual tagger output.
 
+There is another tagger program called "tree-tagger-flush" which
+flushes the output after reading an empty line. It expects a parameter
+file as argument and reads from stdin and writes to stdout. No command
+line options are supported. This program might be useful for
+implementing wrappers.
 
 
+
+
 Training
 --------
 
 Training is done with the *train-tree-tagger* program. It expects at least
 four command line arguments which are described below.
 
-train-tree-tagger {options} <lexicon> <open class file> <input file> <output file>
+train-tree-tagger <lexicon> <open class file> <input file> <output file> 
+            {-cl <context length>} {-dtg <min. decision tree gain>}
+            {-ecw <eq. class weight>} {-atg <affix tree gain>} {-st <sent. tag>}
 
 Description of the command line arguments:
 
 * <lexicon>: name of a file which contains the fullform lexicon. Each line 
   of the lexicon corresponds to one word form and contains the word form 
-  and a sequence of tag-lemma pairs. Each tag is preceded by a tab character
-  and each lemma is preceded by a blank or tab character.
+  itself followed by a Tab character and a sequence of tag-lemma pairs.
+  The tags and lemmata are separated by whitespace.
   Example:
 
 aback	RB aback
 abacuses	NNS abacus
-abandon	VB abandon	VBP abandon
-abandoned	JJ abandoned	VBD abandon	VBN abandon
+abandon	VB abandon VBP abandon
+abandoned	JJ abandoned VBD abandon VBN abandon
 abandoning	VBG abandon
 
-  Attention: Ordinal and cardinal numbers which consist of digits
-  (like 1, 13, 1278 or 2. and 75.) should not be included in the
-  lexicon. Otherwise, the tagger will not be able to learn how to tag
-  numbers which are not listed in the lexicon. Numbers with unusual
-  tags should be added to the lexicon, however. If the training
-  program reports an error because the POS tag used for numbers is
-  unknown, you should add a lexicon entry for one number.
+  Remark: The tagger doesn't need the lemmata actually. If you do not have
+  the lemma information or if you do not plan to annotate corpora with
+  lemmas, you can replace the lemma with a dummy value, e.g. "-".
 
-  Remark: The tagger doesn't need the lemmas for tagging actually. If
-  you do not have the lemma information or if you do not plan to
-  annotate corpora with lemmas, you can replace the lemma with a dummy
-  value, e.g. "-".
-
-  You can use the Perl script make-lex.perl as follows in order to
-  create a tagger lexicon from the training corpus:
-    cmd/make-lex.perl corpus > lexicon
-
-  If you have additional lexicon entries stored in a separate file "lex"
-  with entries like this (The POS tag is preceded by a tab character.)
-    aback   RB aback
-    aback   RP aback
-    abacs   NNS abac
-  you can include them as follows:  cmd/make-lex.perl corpus lex > lexicon
-
-  If train-tree-tagger complains about unknown tags, just add another
-  entry to the lexicon with the respective POS tag.
-
-* <open class file>: name of a file which contains a list of open class tags
-  i.e. possible tags of unknown word forms separated by whitespace.
+* <open class file>: name of a file which contains a list of open class
+  tags i.e. possible tags of unknown word forms separated by whitespace.
   The tagger will use this information when it encounters unknown words,
   i.e. words which are not contained in the lexicon.
   Example: (for Penn Treebank tagset)
@@ -159,8 +128,7 @@
 * <input file>: name of a file which contains tagged training data. The data
   must be in one-word-per-line format. This means that each line contains 
   one token and one tag in that order separated by a tabulator. 
-  Punctuation marks are considered as tokens and must be tagged as well.
-  The file should neither contain empty lines nor untagged SGML markup.
+  Punctuation marks are considered as tokens and must have been tagged as well.
   Example:
 
 Pierre  NP
@@ -177,114 +145,20 @@
 
 * -st <sent. tag>: the end-of-sentence part-of-speech tag, i.e. the tag which
   is assigned to sentence punctuation like ".", "!", "?". 
-  Default is "SENT". You have to use this option, if your tag for sentence
-  punctuation is not "SENT". If you have more than one such tag, choose the
-  most frequent one.
-* -utf8 assume that the data is encoded with UTF8
+  Default is "SENT". It is important to set this option properly, if your
+  tag for sentence punctuation is not "SENT".
 * -cl <context length>: number of preceding words forming the statistical
   context. The default is 2 which corresponds to a trigram context. For
   small training corpora and/or large tagsets, it could be useful to reduce
   this parameter to 1.
 * -dtg <min. decision tree gain>: Threshold - If the information gain at a 
   leaf node of the decision tree is below this threshold, the node is deleted.
-* -sw <weight>: A smoothing parameter, which determines how much the
-  probability distribution of some decision tree node is smoothed with the
-  probability distribution of the parent node.
+  The default value is 0.7.
 * -ecw <eq. class weight>: weight of the equivalence class based probability
-  estimates.
+  estimates. The default is 0.15.
 * -atg <affix tree gain> Threshold - If the information gain at a leaf of an
   affix tree is below this threshold, it is deleted. The default is 1.2.
 
-The accuracy of the TreeTagger usually improves, if different settings
-of the above parameters are tested and the best combination is chosen.
-
-
-Caveat: Make sure that the lexicon and the training corpus contain no
-extra blanks. If the word form, for instance, is followed by a blank
-and a tab character, the blank will be considered part of the word.
-
-The script 'cmd/create-pos-parameter-file' can be used to train a 
-parameter file, provided the file: 'lib/open-class-tags' exists.
-The script creates a lexicon and a parameter file
-that both will be stored in the lib-directory.
-
-
-Training a parameter file for chunking
----------------------------------------
-
-(This section of the README file was created by Wiebke Wagner.)
-
-Training is done with the *train-tree-tagger* program just like the training
-of part-of-speech parameter files. The input files differ (see below).
-
-train-tree-tagger {options} <lexicon> <open class file> <input file> <output file>
-
-Description of the command line arguments:
-
-* <lexicon>: name of a file which contains the fullform lexicon. Each line 
-  of the lexicon corresponds to one word form and contains the word form 
-  with its pos-tag and a sequence of chunktag-lemma pairs. Since there is
-  no lemma for a string containing a word and its pos, lemma is just a 
-  dummy-placeholder. Each chunktag 
-  is preceded by a tab character and each dummy-lemma is preceded by a blank or tab character.
-  Example:
-
-Abs-NP  NP/I-NC #       NP/B-NC #
-Academic-NP     NP/I-NC #
-Activated-VVN   VBN/B-VC #      VBN/B-NC #
-Activation-NN   NN/I-NC #       NN/B-NC #
-VB      VB/I-VC #
-
-  The lexicon must contain specific entries that contain a hypen 
-  ('WORD-POS	POS/IOB DUMMY-LEMMA') and general entries without a hypen 
-  ('POS	   POS/IOB DUMMY-LEMMMA)'. The hypen-heuristics enables the 
-  program to select the general entry if no specific entry is available.
-
-  You can use the Perl script make-chunk-lex.perl as follows in order to
-  create a tagger-chunker lexicon from the training corpus:
-  'cmd/make-chunk-lex.perl' corpus > chunker-lexicon
-
-  Attention: if 'train-tree-tagger' shows the error message:
-  'ERROR: Sentence punctuation tag "SENT" is not in lexicon!' 
-  add the option: [-st 'SENT/O'] to the system call.
- 
-  If train-tree-tagger complains about unknown tags, just add another
-  entry to the lexicon with the respective POS tag.
-
-* <open class file>: name of a file which contains only the dummy entry:
-  NN/B-NC. If there are general entries in the lexicon for every 
-  word class, and if the hyphen heuristic is activated  no tags 
-  have to be guessed.
-
-* <input file>: name of a file which contains training data annotated
-  with part-of-speech tags  and chunk tags. The data
-  must be in one-word-per-line format. This means that each line contains 
-  one token with its mark-up: 
-  WORD-POS	POS/IOB DUMMY-LEMMA
-  The file should neither contain empty lines nor untagged SGML markup.
-  Example:
-
-Activation-NN   NN/I-NC
-of-IN   IN/B-PC
-the-DT  DT/B-NC
-CD28-NP NP/I-NC
-surface-NN      NN/I-NC
-
-* <output file>: name of the file in which the resulting tagger parameters 
-  are stored.
-
-The optional parameters like for training a part-of-speech parameter file
-
-The accuracy of the TreeTagger usually improves, if different settings
-of the above parameters are tested and the best combination is chosen.
-
-Caveat: Make sure that the lexicon and the training corpus contain no
-extra blanks. If the word form, for instance, is followed by a blank
-and a tab character, the blank will be considered part of the word.
-
-The script 'cmd/create-chunk-parameter-file' can be used to train a chunk
-parameter file, provided the file: 'lib/open-class-chunks' exists and 
-contains the dummy entry: 
-NN/B-NC  
-The script creates a lexicon and a parameter file
-that both will be stored in the lib-directory.
+The accuracy of the TreeTagger is usually slightly improved, if different
+settings of the above parameters are tested and the best combination is
+chosen.
Index: TXM/trunk/bundles/org.txm.treetagger.core.win32/res/win32/lib/french-abbreviations
===================================================================
--- TXM/trunk/bundles/org.txm.treetagger.core.win32/res/win32/lib/french-abbreviations	(revision 3925)
+++ TXM/trunk/bundles/org.txm.treetagger.core.win32/res/win32/lib/french-abbreviations	(revision 3926)
@@ -36,62 +36,3 @@
 Elles-mêmes
 Par-ci
 Par-là
-Arg.
-Aus.
-Aut.
-Cag.
-Cl.
-Corp.
-Corresp.
-E.
-Esp.
-Etc.
-Fr.
-Fra.
-G.
-H.
-I.
-Inc.
-Incr.
-Inscr.
-It.
-Ita.
-Jap.
-K.
-P.
-R.
-Rég.
-Rén.
-Tch.
-Tél.
-V.
-W.
-Yam.
-abst.
-adj.
-adm.
-app.
-av.
-b.
-cf.
-corp.
-diss.
-div.
-dr.
-etc.
-expr.
-g.
-id.
-inscr.
-maj.
-p.
-r.
-rad.
-ratt.
-sc.
-suffr.
-tél.
-vot.
-écol.
-éd.
-étiq.
Index: TXM/trunk/bundles/org.txm.treetagger.core.win32/res/win32/lib/english-abbreviations
===================================================================
--- TXM/trunk/bundles/org.txm.treetagger.core.win32/res/win32/lib/english-abbreviations	(revision 3925)
+++ TXM/trunk/bundles/org.txm.treetagger.core.win32/res/win32/lib/english-abbreviations	(revision 3926)
@@ -1,13 +1,24 @@
+&Co.
+AUG.
 Adm.
 Ala.
+Ald.
+App.Cas.
 Ariz.
 Ark.
+Assn.
+Assoc.
+Att.
 Aug.
+Av.
 Ave.
 Bancorp.
+Bde.
 Bhd.
+Blvd.
 Brig.
 Bros.
+C.-in-C.
 CO.
 CORP.
 COS.
@@ -16,102 +27,288 @@
 Canada-U.S.
 Canadian-U.S.
 Capt.
+Cas.
+Ch.
+Ch.App.
+Ch.D.
 Cia.
 Cie.
+Cm.
+Cmd.
+Cmnd.
 Co.
 Col.
 Colo.
 Conn.
 Corp.
 Cos.
+Cowp.
+Cr.App.R.
+Crim.L.R.
 D-Mass.
+D.Litt.
+D.Phil.
+DFl.
 Dec.
 Del.
+Dep.
 Dept.
+Deut.
+Diod.
+Div.
 Dr.
 Drs.
+Dtr.
+Durn.
+E.g.
+ESQ.
+Eph.
+Eq.
+Eqn.
+Eqns.
+Esq.
 Etc.
+Exch.
+Exod.
+Ext.
+FIG.
+Fam.
 Feb.
+Fig.
+Figs.
 Fla.
 Ft.
+G.m.b.H.
 Ga.
 Gen.
 Gov.
+Hdt.
 Hon.
 INC.
+Ibid.
 Ill.
 Inc.
 Ind.
+InfoCorp.
+Intercorp.
+Invest.
+JJ.
+JR.
 Jan.
 Japan-U.S.
 Jr.
+Jud.
 Kan.
 Korean-U.S.
 Ky.
+L.JJ.
+L.R.Ir.
+LL.M.
+LTD.
 La.
 Lt.
+Lt.-Col.
 Ltd.
+Ltda.
+M.Ed.
+M.Litt.
+M.Phil.
 Maj.
 Mass.
 Md.
+Me.T.A.
 Messrs.
 Mfg.
 Mich.
 Minn.
 Miss.
 Mo.
+Mod.Rep.
+Mont.
 Mr.
 Mrs.
 Ms.
 Neb.
 Nev.
 No.
+Non-U.S.
 Nos.
 Nov.
 Oct.
+Oe.
 Okla.
 Ont.
+Op.
 Ore.
+P.o.s.
 Pa.
 Ph.
+Ph.D.
+Pp.
+Prev.
 Prof.
 Prop.
+Pte.
+Ptr.
 Pty.
+Reg.
+Regt.
 Rep.
 Reps.
+Repub.
+Ret.
 Rev.
+Rom.
 S.p.A.
+Sec.
 Sen.
 Sens.
 Sept.
 Sgt.
+Sh.Ct.
 Sino-U.S.
+Soc.
+Som.
+Soviet-U.S.
+Sp.
 Sr.
 St.
 Ste.
+Suff.
+Syll.
+T.B.G.A.S.
 Tenn.
 Tex.
+Thess.
+Thuc.
+Transp.
+Trop.
 U.S.-U.K.
 U.S.-U.S.S.R.
+U.S.P.G.A.
+Univ.
+V.-C.
 Va.
+Vict.
+Vol.
 Vt.
 W.Va.
 Wash.
 Wis.
 Wyo.
+a-Ex-dividend.
+a.c.
+a.g.m.
 a.k.a.
 a.m.
+al.
 anti-U.S.
+approx.
+b.s.
+bldg.
+c.c.d.
+c.e.o.
+c.f.
+c.g.
+c.v.
+c/s.
 cap.
-days.
+cf.
+ch.
+cit.
+clar.
+co.
+col.
+cols.
+constr.
+cp.
+cwt.
+d.c.
+d.f.
+d.i.l.
+d.p.c.
+def.
+dw.
+e-Estimated.
+e.g.
+e.m.f.
+e.p.s.p.
+edn.
+edns.
+est.
 etc.
+ex-L.C.C.
+fig.
+fl.
+fol.
 ft.
+gen.
+govt.
+h.p.
+hon.
+hrs.
+i.c.
 i.e.
+ibid.
+inc.
+incl.
+juv.
+k.p.h.
+l.e.d.
+lbs.
+loc.
+m.d.
+m.p.h.
+msec.
+n.d.
+n.m.r.
+non-U.K.
 non-U.S.
+norw.
+nos.
+oz.
+ozs.
+p.
+p.a.
+p.c.
 p.m.
+p.o.s.
+p.p.m.
+p.s.i.
+p.w.
+pl.
+pls.
+pos.
+pp.
+pres.
 president-U.S.
+pro-U.S.
+q.v.
+qq.v.
+r.f.
+r.h.
+r.m.s.
+r.m.s.d.
+r.p.m.
+r.s.s.
+ref.
+s.
+s.a.
+s.a.e.
+s.d.
+s.e.m.
 s.r.l.
+s.t.p.
+spp.
+sq.ft.
+sq.m.
+subss.
 v.
 v.B.
 v.w.
+var.
+viz.
+vol.
+vols.
 vs.
+w.c.
